%define name	moto4lin-cvs
%define version 0.3
%define release %mkrel 1

%define appsdir %{_datadir}/applications
%define pixdir	%{_datadir}/icons
%define binname moto4lin

Summary:	Legacy Filemanager and seem editor for older Motorola P2k phones
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Communications
URL:		http://moto4lin.sourceforge.net/wiki/Main_Page
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libqt3-devel >= 3.3.3 desktop-file-utils libusb-devel >= 0.1.8
Conflicts:	moto4lin
Packager:	kjpetrie

%description
This software is Filemanager and seem editor for Motorola P2k phones
(like C380/C650). This is the cvs (obsolete) version for older phones such as L6 wich have more than one partition. For newer phones use the current (non cvs) version.

%prep
rm -rf %{buildroot}
mkdir %{buildroot}

%setup -q
qmake

%build
make CXX="g++ $RPM_OPT_FLAGS" %{_smp_mflags} all

%install
rm -rf %{buildroot}
%makeinstall INSTALL_ROOT=%{buildroot}
%__install -p -D %{SOURCE1} %{buildroot}%{pixdir}/%{name}.png
cat >%{buildroot}/%{name}.desktop << D_TOP_END
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
GenericName=Filemanager for Motorola P2k phones
Comment=Upload ringtones and download photos.
Exec=%{binname}
Icon=%{name}
Terminal=false
Type=Application
Categories=Utility;PDA;Qt;X-MandrivaLinux-Office-Communications-PDA;
Version=0.3
D_TOP_END

desktop-file-install --vendor="" \
  --dir=%{buildroot}%{appsdir} %{buildroot}/%{name}.desktop
rm -f %{buildroot}/%{name}.desktop

%__install -p -D moto_ui/moto4lin %{buildroot}%{_bindir}/%{binname}
chmod a+X %{buildroot}%{_bindir}/%{binname}

%__install -p -D moto_ui/data/full.pat %{buildroot}%{_datadir}/%{binname}/full.pat
%__install -p -D moto_ui/data/j2me.pat %{buildroot}%{_datadir}/%{binname}/j2me.pat

%clean
rm -rf %{buildroot}

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files
%doc README Changelog GPL-2
%defattr(-,root,root)
%{_bindir}/%{binname}
%{pixdir}/%{name}.png
%{appsdir}/%{name}.desktop
%{_datadir}/%{binname}/full.pat
%{_datadir}/%{binname}/j2me.pat

%changelog
* Sun  May 11 2008 kjpetrie <pclos dot bugs at instabook dot com> 0.3-1pclos2007
- initial build
